Bug 124822 - CRASH: cutting and undoing
Summary: CRASH: cutting and undoing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-04-18 13:46 UTC by Xisco Faulí
Modified: 2019-04-27 10:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-04-18 13:46:24 UTC
This is a follow-up of bug 124818

Steps to reproduce:
1. Open attachment 82048 [details] from bug 35712 -> Sheet Feuil1 is displayed
2. Select all ( Ctrl + A )
3. Cut ( Ctrl + X )
4. Undo

-> Crash

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 5585dfdaf7180c5ab6fb1543ae2b66337c641fd5
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-04-18 13:47:12 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7282014e362a1529a36c88eb308df8ed359c2cfa

author  Noel Grandin <noel.grandin@collabora.co.uk>     2019-02-01 15:15:16
+0100
committer       Mike Kaganski <mike.kaganski@collabora.com>     2019-04-05
13:43:52 +0200
commit  7282014e362a1529a36c88eb308df8ed359c2cfa (patch)
tree    2776ad9601f494330076ac58c08554e719c6ab3a
parent  df30a4515b1303b0891baa53754fa9b3e47e0c02 (diff)
tdf#50916 Makes numbers of columns dynamic.

Bisected with: bibisect-linux64-6.3

Adding Cc: to Noel Grandin
Comment 2 Commit Notification 2019-04-18 16:25:59 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a606fc64cb18df14f01f2e14e677a1e729025ad7%5E%21

tdf#124822 CRASH: cutting and undoing

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-04-18 18:44:29 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: c9956772ec0678498515fb60dca41e9a77457f86
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel Grandin, thanks for fixing this issue!!
Comment 4 Commit Notification 2019-04-27 10:17:45 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a4d389d8a67240f7e056200a7bc6980d556b1379%5E%21

uitest for bug tdf#124822

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.